Documentation Index
Fetch the complete documentation index at: https://docs.blurb.fm/llms.txt
Use this file to discover all available pages before exploring further.
Create Artist
Create a new artist record.
Example Request
{
"name": "Artist Name",
"imageUrl": "https://placehold.co/1000x1000"
}
Response
{
"success": true,
"data": {
"artistId": "artist-123",
"name": "Artist Name"
}
}
Get Artist
Retrieve an artist by ID.
Example Request
GET /v1/artists/{artistId}
Response
{
"success": true,
"message": "Artist found",
"data": {
"name": "Artist Name",
"artistId": "artist-123",
"imageAssetId": "image-123",
}
}
Update Artist
Example Request
{
"name": "Updated Artist Name",
"imageUrl": "https://placehold.co/1000x1000"
}
Response
{
"success": true,
"data": {
"artistId": "artist-123",
"name": "Updated Artist Name",
"imageAssetId": "image-456"
}
}